Bug 804185 - Review Request: python-django-tastypie - A flexible and capable API layer for Django
Review Request: python-django-tastypie - A flexible and capable API layer for...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 736776
  Show dependency treegraph
 
Reported: 2012-03-16 15:03 EDT by Cédric OLIVIER
Modified: 2012-08-14 09:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-22 05:27:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mrunge: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Cédric OLIVIER 2012-03-16 15:03:48 EDT
Spec URL: http://cquad.dyndns.org/hg/python-django-tastypie/raw-file/5495a94d1168/SPECS/python-django-tastypie.spec
SRPM URL: http://cquad.dyndns.org/hg/python-django-tastypie/raw-file/9f8d1eb8af76/SRPMS/python-django-tastypie-0.9.11-1.fc16.src.rpm
Description: Tastypie is an webservice API framework for Django. It provides a convenient, 
yet powerful and highly customizable, abstraction for creating REST-style 
interfaces.

rpmlint output :
W: spelling-error %description -l en_US webservice -> web service, web-service, service
W: spelling-error %description -l en_US customizable -> customization
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
Comment 1 Matthias Runge 2012-03-17 04:38:08 EDT
Taking this one. 

Please coordinate with package owner of django-tastypie

https://admin.fedoraproject.org/pkgdb/acls/name/django-tastypie

BuildRequires python-devel should be python2-devel
Comment 2 Cédric OLIVIER 2012-03-18 05:08:47 EDT
According to the original package release, you can find an added check section and documentation subpackage.

SPEC : http://cquad.dyndns.org/hg/python-django-tastypie/raw-file/92c5859ce2fd/SPECS/python-django-tastypie.spec
SRPM : http://cquad.dyndns.org/hg/python-django-tastypie/raw-file/92c5859ce2fd/SRPMS/python-django-tastypie-0.9.11-2.fc16.src.rpm
Comment 4 Bohuslav "Slavek" Kabrda 2012-03-19 02:40:38 EDT
Hi,
a comment from me :)
- The Obsoletes should also contain release of django-tastypie, incremented by one. (So, the current VR of tastypie is 0.9.11-2, so you should have Obsoletes: %{pkgname} < 0.9.11-3. See [1], where this is described.

Otherwise, the package looks good, so it is now up to Matthias to approve it.

[1] http://fedoraproject.org/wiki/Packaging:Guidelines#Renaming.2FReplacing_Existing_Packages
Comment 5 Bohuslav "Slavek" Kabrda 2012-03-19 03:47:58 EDT
One more - the find lang section is completely useless, as there are no translations, so I'd advise to remove it, to keep the specfile minimal.
Comment 6 Cédric OLIVIER 2012-03-19 14:41:16 EDT
I don't know why I have add handling local files, probably confusing with another package.
You can find a new release

SPEC : http://cquad.dyndns.org/hg/python-django-tastypie/raw-file/271046938358/SPECS/python-django-tastypie.spec
SRPMS : http://cquad.dyndns.org/hg/python-django-tastypie/raw-file/271046938358/SRPMS/python-django-tastypie-0.9.11-4.fc16.src.rpm
Comment 7 Matthias Runge 2012-03-19 16:13:02 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint python-django-tastypie-0.9.11-4.fc18.noarch.rpm

python-django-tastypie.noarch: W: spelling-error %description -l en_US webservice -> web service, web-service, service
python-django-tastypie.noarch: W: spelling-error %description -l en_US customizable -> customization
python-django-tastypie.noarch: W: hidden-file-or-dir /usr/share/doc/python-django-tastypie-0.9.11/html/.buildinfo
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


rpmlint python-django-tastypie-0.9.11-4.fc18.src.rpm

python-django-tastypie.src: W: spelling-error %description -l en_US webservice -> web service, web-service, service
python-django-tastypie.src: W: spelling-error %description -l en_US customizable -> customization
python-django-tastypie.src: W: invalid-url Source1: python-django-tastypie-tests.tgz
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


rpmlint python-django-tastypie-doc-0.9.11-4.fc18.noarch.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/mrunge/review/804185/django-tastypie-0.9.11.tar.gz :
  MD5SUM this package     : 711b29265917405c226f4594782e7e9b
  MD5SUM upstream package : 711b29265917405c226f4594782e7e9b

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Rpmlint output is silent.

rpmlint python-django-tastypie-0.9.11-4.fc18.noarch.rpm

python-django-tastypie.noarch: W: spelling-error %description -l en_US webservice -> web service, web-service, service
python-django-tastypie.noarch: W: spelling-error %description -l en_US customizable -> customization
python-django-tastypie.noarch: W: hidden-file-or-dir /usr/share/doc/python-django-tastypie-0.9.11/html/.buildinfo
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


rpmlint python-django-tastypie-0.9.11-4.fc18.src.rpm

python-django-tastypie.src: W: spelling-error %description -l en_US webservice -> web service, web-service, service
python-django-tastypie.src: W: spelling-error %description -l en_US customizable -> customization
python-django-tastypie.src: W: invalid-url Source1: python-django-tastypie-tests.tgz
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


rpmlint python-django-tastypie-doc-0.9.11-4.fc18.noarch.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint


Package APPROVED
Comment 8 Cédric OLIVIER 2012-03-20 02:46:00 EDT
New Package SCM Request
=======================
Package Name: python-django-tastypie
Short Description: A flexible and capable API layer for Django
Owners: bkabrda cquad
Branches: devel
Comment 9 Jon Ciesla 2012-03-20 07:55:35 EDT
Git done (by process-git-requests).
Comment 10 Bohuslav "Slavek" Kabrda 2012-03-22 05:27:11 EDT
Ok, this has been built in F18 and django-tastypie has been retired there, so closing this one.
Comment 11 Bohuslav "Slavek" Kabrda 2012-08-14 09:10:59 EDT
Package Change Request
======================
Package Name: python-django-tastypie
New Branches: el6
Owners: bkabrda
Comment 12 Jon Ciesla 2012-08-14 09:23:34 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.